package es.ua.jtech.jsp.sesion5.chat;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class RestringirAccesoFilter implements Filter {

	FilterConfig filterConfig = null;

	public void doFilter(ServletRequest request, ServletResponse response,
			FilterChain chain) throws IOException, ServletException {
		// Se intenta acceder a la zona restringida

		// Solo podemos comprobar la sesin en el caso de tener una peticin
		// HTTP
		if (request instanceof HttpServletRequest
				&& response instanceof HttpServletResponse) {

			HttpServletRequest http_request = (HttpServletRequest) request;
			HttpServletResponse http_response = (HttpServletResponse) response;

			// *********** Comprobamos si el usuario se ha registrado
			// ***********
			// En nuestra aplicacin si el usuario se ha registrado habremos
			// establecido
			// el atributo usuario de la sesion al nombre del usuario, si no
			// ser null.

			if (http_request.getSession().getAttribute("es.ua.jtech.jsp.sesion5.chat.nick") != null) {
				// Continuamos de forma normal con la peticin
				chain.doFilter(request, response);
			} else {
				// Redireccionamos a la pgina de login
				http_response.sendRedirect(http_request.getContextPath() 
						+ "/index.html");
			}

		} else {
			// Si no es una peticin HTTP simplemente procesamos la peticin
			chain.doFilter(request, response);
		}
	}

	public void init(FilterConfig config) {
		filterConfig = config;
	}

	public void destroy() {
		filterConfig = null;
	}
}